package com.jasamedika.medifirst2000.entities;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapGigiKananEmpat_T")
public class PapGigiKananEmpat extends BaseTransaction{
	@JsonBackReference     
	@OneToOne(cascade=CascadeType.ALL) 
	@JoinColumn(name = "ObjectPapGigiMulutFk")
	@NotNull(message = "PapGigiMulut tidak boleh kosong")
	private PapGigiMulut papGigiMulut;
	
	@Column(name = "ObjectPapGigiMulutFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String papGigiMulutId;

	@Column(name = "tigasatu", nullable = true)
	@Caption(value = "tigasatu")
	private String tigasatu;

	@Column(name = "tigadua", nullable = true)
	@Caption(value = "tigadua")
	private String tigadua;

	@Column(name = "tigatiga", nullable = true)
	@Caption(value = "tigatiga")
	private String tigatiga;

	@Column(name = "tigaempat", nullable = true)
	@Caption(value = "tigaempat")
	private String tigaempat;

	@Column(name = "tigalima", nullable = true)
	@Caption(value = "tigalima")
	private String tigalima;

	@Column(name = "tigaenam", nullable = true)
	@Caption(value = "tigaenam")
	private String tigaenam;

	@Column(name = "tigatujuh", nullable = true)
	@Caption(value = "tigatujuh")
	private String tigatujuh;

	@Column(name = "tigadelapan", nullable = true)
	@Caption(value = "tigadelapan")
	private String tigadelapan;

	public String getTigasatu() {
		return tigasatu;
	}
	public void setTigasatu(String tigasatu) {
		this.tigasatu = tigasatu;
	}
	public String getTigadua() {
		return tigadua;
	}
	public void setTigadua(String tigadua) {
		this.tigadua = tigadua;
	}
	public String getTigatiga() {
		return tigatiga;
	}
	public void setTigatiga(String tigatiga) {
		this.tigatiga = tigatiga;
	}
	public String getTigaempat() {
		return tigaempat;
	}
	public void setTigaempat(String tigaempat) {
		this.tigaempat = tigaempat;
	}
	public String getTigalima() {
		return tigalima;
	}
	public void setTigalima(String tigalima) {
		this.tigalima = tigalima;
	}
	public String getTigaenam() {
		return tigaenam;
	}
	public void setTigaenam(String tigaenam) {
		this.tigaenam = tigaenam;
	}
	public String getTigatujuh() {
		return tigatujuh;
	}
	public void setTigatujuh(String tigatujuh) {
		this.tigatujuh = tigatujuh;
	}
	public String getTigadelapan() {
		return tigadelapan;
	}
	public void setTigadelapan(String tigadelapan) {
		this.tigadelapan = tigadelapan;
	}
	public PapGigiMulut getPapGigiMulut() {
		return papGigiMulut;
	}
	public void setPapGigiMulut(PapGigiMulut papGigiMulut) {
		this.papGigiMulut = papGigiMulut;
	}

}
